<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_022eeb17ad2461a7" . "72886fe0f5575520" => base64_decode("Y3JlYXRvcg" . "=="), "channel" . "s" => base64_decode("Y2hhbm5lbHM" . "="), "_49c48a113fcc4b94b82e29c74e" . "01e7bd" => base64_decode("ZmVlZF9rZXkgZXE6c3RyOmtl" . "eQ=="), "titl" . "e" => base64_decode("dGl0bG" . "U="), "_aa7e860da1acd4e767e0df9d7d40" . "7380" => base64_decode("ZGF0ZV9jcmVhdGV" . "k"), "_c0f286e9" . "3ebdcaa42" . "7b44ec294" . "13392b" => base64_decode("ZmVl" . "ZF9r" . "ZXk="), "_4cabd5d7713" . "c30b34f152bc" . "a7e16cd6c" => base64_decode("bmV3c" . "19mZW" . "Vkcw=" . "="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_49c48a113fcc4b94b82e29c74e0" . "1e7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4cabd5d7713c3" . "0b34f152bca7e1" . "6cd6c"], $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["titl" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["cha" . "nne" . "ls"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c0f286e93" . "ebdcaa427b" . "44ec294133" . "92b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_aa7e860da1acd4e76" . "7e0df9d7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_022eeb17ad2461a77288" . "6fe0f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}